Subject: bug#746: Killed when starting modale dialog like pinentry

From: Mark Hindley <[email-masked]>
Date: Wed, 8 Mar 2023 10:18:51 +0000

Control: tags -1 debian
Control: forwarded -1 https://bugs.debian.org/1032379
Control: reassign -1 libx11
Control: affects -1 fvwm

Klaus,

Thanks for this. I am glad you found it.

On Wed, Mar 08, 2023 at 11:00:45AM +0100, Klaus Ethgen wrote:
> Am Mi den  8. Mär 2023 um 10:37 schrieb Klaus Ethgen:
> > I think, the bug can be reassignet to fvwm2.
> > 
> > I seen the following line in .xsession-errors. I did not see it bevore
> > as this file is removed with every login..
> >    fvwm2: ../../src/xcb_io.c:626: _XAllocID: Zusicherung »ret != inval_id«
> > nicht erfüllt.

A quick look shows quite a few recent similar reports in various unrelated
packages. So it may be caused by src:libx11 which produces libx11-xcb1.

> Well, maybe not in fvwm2 as that file is not part of fvwm.

Maybe you can add this information to #1032379 and reassign?

Thanks

Mark